package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.sop.business.bean.result.CrmProgressSopResult;
import com.qmth.sop.business.entity.TBSopInfo;
import com.qmth.sop.common.enums.SopRoleTypeEnum;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description 项目进度监控
 * @Author haoguanghui
 * @date 2024/09/11
 */
public interface CrmProgressMonitorMapper extends BaseMapper<TBSopInfo> {

    List<CrmProgressSopResult> listSop(@Param(value = "serviceUnitId") Long serviceUnitId);

    List<CrmProgressSopResult> listSopByRoleType(@Param(value = "serviceUnitId") Long serviceUnitId, @Param(value = "sopRoleType") SopRoleTypeEnum sopRoleType);
}
