package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.sop.business.bean.report.FlowMsgReferReportBean;
import com.qmth.sop.business.entity.TBService;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 流程检查统计报表mapper
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/9/18
 */
public interface FlowMsgReferReportMapper extends BaseMapper<TBService> {

    /**
     * 查阅提醒消息列表
     *
     * @param serviceId
     * @param messageTypeEnum
     * @return
     */
    List<FlowMsgReferReportBean> FlowMsgReport(@Param("serviceId") Long serviceId,
            @Param("messageTypeEnum") String messageTypeEnum);
}
