package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.sop.business.bean.dto.DataPermissionDto;
import com.qmth.sop.business.bean.result.SysCustomReceiverResult;
import com.qmth.sop.business.entity.SysCustomReceiver;
import com.qmth.sop.common.enums.ProductTypeEnum;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysCustomReceiverMapper extends BaseMapper<SysCustomReceiver> {

    List<SysCustomReceiver> listCustom(@Param(value = "type") ProductTypeEnum type);

    IPage<SysCustomReceiverResult> page(Page<SysCustomReceiverResult> page, @Param(value = "type") ProductTypeEnum type, @Param(value = "name") String name,
            @Param(value = "dpr") DataPermissionDto dpr);

    List<SysCustomReceiverResult> listCustomReceiver(@Param(value = "type") ProductTypeEnum type, @Param(value = "name") String name,
            @Param(value = "dpr") DataPermissionDto dpr);


}
