package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.sop.business.bean.dto.DingStatisticByCrmDto;
import com.qmth.sop.business.bean.result.SysLogResult;
import com.qmth.sop.business.entity.TBDingStatisticByCrm;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 工时统计-按派单统计 Mapper 接口
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-09-09
 */
public interface TBDingStatisticByCrmMapper extends BaseMapper<TBDingStatisticByCrm> {
    List<DingStatisticByCrmDto> findStatisticByCrmList(@Param("serviceId") Long serviceId);

    IPage<DingStatisticByCrmDto> findStatisticByCrmPage(@Param("iPage") Page<DingStatisticByCrmDto> iPage, @Param("serviceId") Long serviceId);

    void truncateTable();
}
