package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.sop.business.bean.dto.DingStatisticByCustomDto;
import com.qmth.sop.business.entity.TBDingStatisticByCustom;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 工时统计-按客户统计 Mapper 接口
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-09-09
 */
public interface TBDingStatisticByCustomMapper extends BaseMapper<TBDingStatisticByCustom> {
    List<DingStatisticByCustomDto> findStatisticByCustomList(@Param("serviceId") Long serviceId);

    IPage<DingStatisticByCustomDto> findStatisticByCustomPage(@Param("iPage") Page<DingStatisticByCustomDto> iPage, @Param("serviceId") Long serviceId);

    void truncateTable();
}
