package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.sop.business.bean.dto.DingStatisticByPersonDto;
import com.qmth.sop.business.bean.result.SysLogResult;
import com.qmth.sop.business.entity.TBDingStatisticByPerson;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 工时统计-按人员统计 Mapper 接口
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-09-09
 */
public interface TBDingStatisticByPersonMapper extends BaseMapper<TBDingStatisticByPerson> {

    List<DingStatisticByPersonDto> findStatisticByPersonList(@Param("serviceId") Long serviceId);

    IPage<DingStatisticByPersonDto> findStatisticByPersonPage(@Param("iPage") Page<DingStatisticByPersonDto> iPage, @Param("serviceId") Long serviceId);

    void truncateTable();
}
