package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.sop.business.bean.dto.DingStatisticBySopDto;
import com.qmth.sop.business.bean.result.SysLogResult;
import com.qmth.sop.business.entity.TBDingStatisticBySop;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 工时统计-按sop统计 Mapper 接口
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-09-09
 */
public interface TBDingStatisticBySopMapper extends BaseMapper<TBDingStatisticBySop> {
    List<DingStatisticBySopDto> findStatisticBySopList(@Param("serviceId") Long serviceId);

    IPage<DingStatisticBySopDto> findStatisticBySopPage(@Param("iPage") Page<DingStatisticBySopDto> iPage, @Param("serviceId") Long serviceId);

    void truncateTable();
}
