package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.sop.business.bean.dto.DingStatisticBySupplierDto;
import com.qmth.sop.business.entity.TBDingStatisticBySupplier;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 工时统计-按供应商统计 Mapper 接口
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-09-09
 */
public interface TBDingStatisticBySupplierMapper extends BaseMapper<TBDingStatisticBySupplier> {
    List<DingStatisticBySupplierDto> findStatisticBySupplierList(@Param("serviceId") Long serviceId);

    IPage<DingStatisticBySupplierDto> findStatisticBySupplierPage(@Param("iPage") Page<DingStatisticBySupplierDto> iPage, @Param("serviceId") Long serviceId);

    void truncateTable();
}
