package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.report.FlowMsgReferReportBean;
import com.qmth.sop.business.entity.TBService;
import com.qmth.sop.common.enums.MessageTypeEnum;

import java.util.List;

/**
 * @Description: 流程检查统计报表service
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/9/18
 */
public interface FlowMsgReferReportService extends IService<TBService> {

    /**
     * 查阅提醒消息列表
     *
     * @param serviceId
     * @param messageTypeEnum
     * @return
     */
    List<FlowMsgReferReportBean> FlowMsgReport(Long serviceId, MessageTypeEnum messageTypeEnum);
}
