package com.qmth.sop.business.service;

import com.qmth.sop.business.bean.dto.UserArchivesDto;
import com.qmth.sop.business.entity.TBUserArchivesAllocationLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.common.enums.SopRoleTypeEnum;

import java.util.List;

/**
 * <p>
 * 人员调配历史记录 服务类
 * </p>
 *
 * @author CaoZixuan
 * @since 2024-05-15
 */
public interface TBUserArchivesAllocationLogService extends IService<TBUserArchivesAllocationLog> {
    /**
     * 查询人员调配历史记录
     *
     * @param crmDetailId     派单详情id
     * @param sopRoleTypeEnum sop角色
     * @return 历史记录
     */
    List<UserArchivesDto> findUserArchivesAllocationHistory(Long crmDetailId, SopRoleTypeEnum sopRoleTypeEnum);
}
