package com.qmth.sop.business.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qmth.sop.business.bean.report.FlowMsgReferReportBean;
import com.qmth.sop.business.entity.TBService;
import com.qmth.sop.business.mapper.FlowMsgReferReportMapper;
import com.qmth.sop.business.service.FlowMsgReferReportService;
import com.qmth.sop.common.enums.MessageTypeEnum;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: 流程检查统计报表service impl
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/9/18
 */
@Service
public class FlowMsgReferReportServiceImpl extends ServiceImpl<FlowMsgReferReportMapper, TBService>
        implements FlowMsgReferReportService {

    /**
     * 查阅提醒消息列表
     *
     * @param serviceId
     * @param messageTypeEnum
     * @return
     */
    @Override
    public List<FlowMsgReferReportBean> FlowMsgReport(Long serviceId, MessageTypeEnum messageTypeEnum) {
        return this.baseMapper.FlowMsgReport(serviceId, messageTypeEnum.name());
    }
}
