USE sop_db;

-- 2024-08以后
ALTER TABLE t_b_crm_detail MODIFY COLUMN service_scope varchar(30) NOT NULL COMMENT '服务范围，SCAN：仅扫描，SCAN_MARK：扫描+阅卷，CLOUD_MARK：研究生阅卷';

UPDATE sys_privilege
SET name='创建sop', url='CreateSop', `type`='LINK', parent_id=51, `sequence`=4, property='AUTH', related='2024,2061,2062,3080,3081,3082,3083,3084,3085,3086,3087,3096', enable=1, default_auth=0, front_display=1
WHERE id=3079;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3096, '编辑派单明细研究生sop', '/api/admin/tb/crm/detail/sop/cloud_mark/save', 'URL', 3079, 9, 'AUTH', NULL, 1, 1, 0);

INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(191, 'SINGLE_SELECT', 'FORM', 'region_manager_id', 'region_manager_id', '大区经理', 'LONG', 0, 1, 0, 1, NULL, NULL, NULL, '/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=REGION_MANAGER', NULL, NULL, 4, NULL, NULL, 'CLOUD_MARK_SOP_FLOW', 1, 0, NULL, NULL, 1, 17);

UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='region_coordinator_id', form_name='region_coordinator_id', title='区域协调人', input_type='LONG', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=REGION_COORDINATOR', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=14
WHERE id=104;
UPDATE t_d_form_widget
SET code='MULTIPLE_SELECT', `type`='FORM', form_id='engineer_users_id', form_name='engineer_users_id', title='工程师', input_type='ARRAY', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=ENGINEER', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=15
WHERE id=105;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='project_manager_id', form_name='project_manager_id', title='项目经理', input_type='LONG', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=PROJECT_MANAGER', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=16
WHERE id=106;
UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='project_rish_title', form_name='project_rish_title', title='项目风险预估（仅供参考）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=18
WHERE id=107;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='delay_rish_cb', form_name='delay_rish_cb', title='延期风险', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=19
WHERE id=108;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='engineer_rish_cb', form_name='engineer_rish_cb', title='实施难度', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=20
WHERE id=109;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='other_remark', form_name='other_remark', title='其它备注（建议关注的其它方面）', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=21
WHERE id=110;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_contacts_title', form_name='project_contacts_title', title='项目联系人', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=22
WHERE id=111;
UPDATE t_d_form_widget
SET code='TABLE', `type`='FORM', form_id='project_contacts_table', form_name='project_contacts_table', title='项目联系人表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=23
WHERE id=112;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_college', form_name='school_college', title='项目联系人表格_机构输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=24
WHERE id=113;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_name', form_name='school_name', title='项目联系人表格_姓名输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=25
WHERE id=114;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_job', form_name='school_job', title='项目联系人表格_职务输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=26
WHERE id=115;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_tel', form_name='school_tel', title='项目联系人表格_电话输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=27
WHERE id=116;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='service_finish_plan_begin_date', form_name='service_finish_plan_begin_date', title='现场服务完成进场计划时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=11
WHERE id=190;

DELETE FROM t_d_form_widget
WHERE id=144;
DELETE FROM t_d_form_widget
WHERE id=145;
DELETE FROM t_d_form_widget
WHERE id=146;

DELETE FROM t_d_form_widget
WHERE id=185;
DELETE FROM t_d_form_widget
WHERE id=186;
DELETE FROM t_d_form_widget
WHERE id=187;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='upload_list_title', form_name='upload_list_title', title='上传清单和报告', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=141;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='upload_device_version_photos', form_name='upload_device_version_photos', title='上传扫描仪固件版本号拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=188;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='import_data_title', form_name='import_data_title', title='导入数据', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=147;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='data_same', form_name='data_same', title='导入数据', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"true","label":"导入数据与原始数据是否一致"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=148;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='import_exam_student_count', form_name='import_exam_student_count', title='导入考生数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=149;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='scan_set_title', form_name='scan_set_title', title='扫描仪设置', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=150;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='scan_set_cb', form_name='scan_set_cb', title='扫描仪设置', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、扫描仪分辨率设置是150"},{"value":"2","label":"2、是否勾选“自动剪切”，“纠正歪斜”"},{"value":"3","label":"3、是否勾选“边界去除”"},{"value":"4","label":"4、勾选“双张进纸检测”-“有效”-动作“停止”"},{"value":"5","label":"5、爱普生型号，选择“扫描模式”-“设置”-“装订边缘”-“上”"},{"value":"6","label":"6、华高扫描仪型号，检查背面图像；如背面图像倒转，则勾选“背面旋转180°”"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=151;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='card_format_title', form_name='card_format_title', title='卡格式制作', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=152;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='card_format_cb', form_name='card_format_cb', title='卡格式制作', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、定位线：上方紧挨装钉“线”字，但是不超过“线”字；考生信息遮挡区需按要求框选"},{"value":"2","label":"2、扫描原图正反面检查是否正确"},{"value":"3","label":"3、扫描裁切图屏蔽区检查是否正确"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=153;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='paper_list_title', form_name='paper_list_title', title='纸质检查表上传', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=154;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_check_photos', form_name='paper_check_photos', title='上传关键节点检查(纸质)表单拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=155;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='manual_bar_code_title', form_name='manual_bar_code_title', title='手工输入条码确认', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=156;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='manual_bar_code_cb', form_name='manual_bar_code_cb', title='手工输入条码确认', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"1","label":"“数据检查”-“人工确认”，”确认已完成”"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=157;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='complete_count', form_name='complete_count', title='完成数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=158;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='bar_code_full_title', form_name='bar_code_full_title', title='条码数量完整性检查', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=159;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='bar_code_full_cb', form_name='bar_code_full_cb', title='条码数量完整性检查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"“缺页异常”查询需无数据“"},{"value":"2","label":"“无条码考生”查询需无数据“"},{"value":"3","label":"“追加题卡”需和学校记录一致“"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=160;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='missing_list_title', form_name='missing_list_title', title='缺考名单比对', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=161;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='missing_list_cb', form_name='missing_list_cb', title='缺考名单比对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"核对“无答题卡考生”的考生是否与学校提供的缺考名单吻合，人工指定为缺考（缺考一致性>导入缺考>导入缺考缺页）；需核对平台“考生管理”中状态为“未上传”的考生是否全部为缺考、是否全部变为“人工指定”。"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=162;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='missing_course_count', form_name='missing_course_count', title='缺考科次数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=163;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='paper_form_upload_title', form_name='paper_form_upload_title', title='纸质表单上传', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=164;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='school_sign_radio', form_name='school_sign_radio', title='学校是否确认签字', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"YES","label":"是"},{"value":"NO","label":"否"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=165;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_form_photos', form_name='paper_form_photos', title='上传关键节点检查表(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=166;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_param_check_title', form_name='mark_param_check_title', title='评卷参数核对', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=167;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_param_check_cb', form_name='mark_param_check_cb', title='评卷参数核对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、核查每个科目的满分是否正确(100分、150分、300分)"},{"value":"2","label":"2、检查所有科目结构和分组是否全部导入。（评卷管理>评卷进度查看分组状态）"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=168;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='paper_form_upload_title', form_name='paper_form_upload_title', title='纸质表单上传', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=169;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_form_photos', form_name='paper_form_photos', title='上传关键节点检查表(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=170;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='score_check_title', form_name='score_check_title', title='分数复核', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=171;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='score_check_cb', form_name='score_check_cb', title='分数复核', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"是否建议学校复核小题0分，大题0分，全卷0分的情况"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=172;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='school_score_check_radio', form_name='school_score_check_radio', title='学校是否选择复核', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"YES","label":"复核(推荐)"},{"value":"NO","label":"不复核","remark":[{"content":"若选择该项，则需要学校签字确认，签字随关键节点检查表上传","color":"red"}]}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=173;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='paper_form_upload_title', form_name='paper_form_upload_title', title='纸质表单上传', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=175;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_form_photos', form_name='paper_form_photos', title='上传关键节点检查表(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=176;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_progress_title', form_name='mark_progress_title', title='评卷进度核查', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=177;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_progress_cb', form_name='mark_progress_cb', title='评卷进度核查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、核对阅卷总进度是否为100%"},{"value":"2","label":"2、核对科目阅卷进度是否为100%"},{"value":"3","label":"3、核对问题卷是否处理完成"},{"value":"4","label":"4、核对所有科目状态点击“结束”"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=178;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='cross_check_title', form_name='cross_check_title', title='交叉比对', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=179;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='cross_check_cb', form_name='cross_check_cb', title='交叉比对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"是否建议学校进行同一考生多科目分数交叉比对（成绩复核-成绩校验），需所有科目全部改完后管理员账号才能查看。"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=180;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_submit_title', form_name='mark_submit_title', title='成绩提交核查', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=181;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_submit_cb', form_name='mark_submit_cb', title='成绩提交核查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、核对导出成绩表数据条数是否与考生表数量一致，不能带有“未导出全量数据”字样"},{"value":"2","label":"2、导出验收报告（考试管理-详情-验收报告），和学校签字确认盖章，上报验收报告至质控平台"},{"value":"3","label":"3、核对导出图片工具是否正常运行"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=182;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='export_score_count', form_name='export_score_count', title='导出成绩数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=183;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='upload_check_report_photos', form_name='upload_check_report_photos', title='上传验收报告(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=184;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='inside_title_project', form_name='inside_title_project', title='项目经理项目内审（请于24小时内完成内审）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='PROJECT_MANAGER', create_id=1, create_time=1
WHERE id=137;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='approve_radio_project', form_name='approve_radio_project', title='我对以上项目关键信息已审核，确认内容无误：', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"同意"},{"value":"0","label":"不同意"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='PROJECT_MANAGER', create_id=1, create_time=1
WHERE id=138;
UPDATE t_d_form_widget
SET code='SIGN', `type`='FORM', form_id='sign_project', form_name='sign_project', title='添加签名', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='PROJECT_MANAGER', create_id=1, create_time=1
WHERE id=139;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='approve_ramark_project', form_name='approve_ramark_project', title='审批意见', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='PROJECT_MANAGER', create_id=1, create_time=1
WHERE id=140;

-- 2024-09以后
-- 2024-09-05
ALTER TABLE t_d_form_widget_metadata MODIFY COLUMN field_title varchar(200) NULL COMMENT '字段标题';
ALTER TABLE sys_message ADD setup TINYINT NULL COMMENT '计划步骤';
ALTER TABLE sys_message ADD setup_name varchar(100) NULL COMMENT '计划步骤名称';

DELETE FROM t_d_form_widget
WHERE id=190;

UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='has_double_evaluation', form_name='has_double_evaluation', title='有无双评', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"HAVA","label":"有"},{"value":"NOT_HAVA","label":"无"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=7
WHERE id=102;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='scan_count', form_name='scan_count', title='扫描仪数量(台)', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=8
WHERE id=98;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='exam_student_Internal_date', form_name='exam_student_Internal_date', title='考生数据内部交接时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=9
WHERE id=99;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='week_people_day', form_name='week_people_day', title='现场标准服务周期（人天）', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=10
WHERE id=100;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='project_key_info_date', form_name='project_key_info_date', title='项目关键信息提交截止时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=11
WHERE id=101;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_people_plan_title', form_name='project_people_plan_title', title='项目人员安排及风险预估', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=12
WHERE id=103;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='region_coordinator_id', form_name='region_coordinator_id', title='区域协调人', input_type='LONG', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=REGION_COORDINATOR', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=13
WHERE id=104;
UPDATE t_d_form_widget
SET code='MULTIPLE_SELECT', `type`='FORM', form_id='engineer_users_id', form_name='engineer_users_id', title='工程师', input_type='ARRAY', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=ENGINEER', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=14
WHERE id=105;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='project_manager_id', form_name='project_manager_id', title='项目经理', input_type='LONG', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=PROJECT_MANAGER', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=15
WHERE id=106;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='region_manager_id', form_name='region_manager_id', title='大区经理', input_type='LONG', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=REGION_MANAGER', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=16
WHERE id=191;
UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='project_rish_title', form_name='project_rish_title', title='项目风险预估（仅供参考）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=17
WHERE id=107;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='delay_rish_cb', form_name='delay_rish_cb', title='延期风险', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=18
WHERE id=108;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='engineer_rish_cb', form_name='engineer_rish_cb', title='实施难度', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=19
WHERE id=109;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='other_remark', form_name='other_remark', title='其它备注（建议关注的其它方面）', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=20
WHERE id=110;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_contacts_title', form_name='project_contacts_title', title='项目联系人', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=21
WHERE id=111;
UPDATE t_d_form_widget
SET code='TABLE', `type`='FORM', form_id='project_contacts_table', form_name='project_contacts_table', title='项目联系人表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=22
WHERE id=112;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_college', form_name='school_college', title='项目联系人表格_机构输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=23
WHERE id=113;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_name', form_name='school_name', title='项目联系人表格_姓名输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=24
WHERE id=114;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_job', form_name='school_job', title='项目联系人表格_职务输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=25
WHERE id=115;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_tel', form_name='school_tel', title='项目联系人表格_电话输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=26
WHERE id=116;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='cloud_mark_title', form_name='cloud_mark_title', title='云阅卷（填写前请先认真查阅移交的项目初审及项目基本信息）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=117;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='run_env_accord', form_name='run_env_accord', title='运行环境是否与学校沟通', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"YES","label":"是"},{"value":"NO","label":"否"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=2
WHERE id=118;
INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(192, 'FILE', 'FORM', 'run_env_accord_photos', 'run_env_accord_photos', NULL, 'FILE', 0, 1, 0, 1, NULL, 1, NULL, 'https://sop-file.qmth.com.cn/logo/logo.png', NULL, NULL, 3, NULL, NULL, 'CLOUD_MARK_SOP_FLOW', 2, 0, NULL, NULL, 1, 3);
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='env_deployment_time', form_name='env_deployment_time', title='环境部署时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=4
WHERE id=119;
UPDATE t_d_form_widget
SET code='LABEL', `type`='FORM', form_id='env_list_label', form_name='env_list_label', title='[{"label":"参照《软硬件准备检查清单》对学校进行调研","color":"blue"}]', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=5
WHERE id=120;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='scan_start_time', form_name='scan_start_time', title='扫描开始时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=6
WHERE id=121;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='scan_end_time', form_name='scan_end_time', title='扫描结束时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=7
WHERE id=122;
UPDATE t_d_form_widget
SET code='LABEL', `type`='FORM', form_id='unite_label', form_name='unite_label', title='[{"label":"统一元旦后安排进场","color":"blue"}]', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=8
WHERE id=123;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='mark_room_check_time', form_name='mark_room_check_time', title='评卷机房检查时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=9
WHERE id=124;
UPDATE t_d_form_widget
SET code='TEXT', `type`='FORM', form_id='mark_room_count', form_name='mark_room_count', title='评卷机房数量（个）', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=10
WHERE id=125;
UPDATE t_d_form_widget
SET code='TEXT', `type`='FORM', form_id='max_mark_teacher_count', form_name='max_mark_teacher_count', title='最大评卷教师数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=11
WHERE id=126;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='mark_param_time', form_name='mark_param_time', title='评卷参数提供时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=12
WHERE id=127;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='mark_start_time', form_name='mark_start_time', title='评卷开始时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=13
WHERE id=128;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='mark_end_time', form_name='mark_end_time', title='评卷结束时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=14
WHERE id=129;
UPDATE t_d_form_widget
SET code='TEXT', `type`='FORM', form_id='choose_course_count', form_name='choose_course_count', title='有选做题的科目数量（门）', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=15
WHERE id=130;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='ramark', form_name='ramark', title='其它特殊要求', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=16
WHERE id=131;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='upload_device_version_photos', form_name='upload_device_version_photos', title='上传每台扫描仪序列号拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=188;

INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(193, 'RADIO', 'FORM', 'has_scan_blank_card', 'has_scan_blank_card', '是否扫描空白题卡', 'STRING', 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, 6, NULL, '[{"value":"YES","label":"是"},{"value":"NO","label":"否"}]', 'CLOUD_MARK_SOP_FLOW', 5, 0, NULL, NULL, 1, 6);
INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(194, 'RADIO', 'FORM', 'has_scan_exception_bar_code', 'has_scan_exception_bar_code', '是否扫描异常条码', 'STRING', 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, 6, NULL, '[{"value":"YES","label":"是"},{"value":"NO","label":"否"}]', 'CLOUD_MARK_SOP_FLOW', 5, 0, NULL, NULL, 1, 7);
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='import_data_title', form_name='import_data_title', title='导入数据', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=147;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='data_same', form_name='data_same', title='导入数据', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"true","label":"导入数据与原始数据是否一致"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=2
WHERE id=148;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='import_exam_student_count', form_name='import_exam_student_count', title='导入考生数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=3
WHERE id=149;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='scan_set_title', form_name='scan_set_title', title='扫描仪设置', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=4
WHERE id=150;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='scan_set_cb', form_name='scan_set_cb', title='扫描仪设置', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、扫描仪分辨率设置是150"},{"value":"2","label":"2、是否勾选“自动剪切”，“纠正歪斜”"},{"value":"3","label":"3、是否勾选“边界去除”"},{"value":"4","label":"4、勾选“双张进纸检测”-“有效”-动作“停止”"},{"value":"5","label":"5、爱普生型号，选择“扫描模式”-“设置”-“装订边缘”-“上”"},{"value":"6","label":"6、华高扫描仪型号，检查背面图像；如背面图像倒转，则勾选“背面旋转180°”"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=5
WHERE id=151;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='card_format_title', form_name='card_format_title', title='卡格式制作', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=8
WHERE id=152;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='card_format_cb', form_name='card_format_cb', title='卡格式制作', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、定位线：上方紧挨装钉“线”字，但是不超过“线”字；考生信息遮挡区需按要求框选"},{"value":"2","label":"2、扫描原图正反面检查是否正确"},{"value":"3","label":"3、扫描裁切图屏蔽区检查是否正确"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=9
WHERE id=153;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='paper_list_title', form_name='paper_list_title', title='纸质检查表上传', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=10
WHERE id=154;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_check_photos', form_name='paper_check_photos', title='上传关键节点检查(纸质)表单拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=11
WHERE id=155;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_progress_title', form_name='mark_progress_title', title='评卷进度核查', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=177;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_progress_cb', form_name='mark_progress_cb', title='评卷进度核查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、核对阅卷总进度是否为100%"},{"value":"2","label":"2、核对科目阅卷进度是否为100%"},{"value":"3","label":"3、核对问题卷是否处理完成"},{"value":"4","label":"4、核对所有科目状态点击“结束”"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=2
WHERE id=178;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='cross_check_title', form_name='cross_check_title', title='交叉比对', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=3
WHERE id=179;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='cross_check_cb', form_name='cross_check_cb', title='交叉比对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"是否建议学校进行同一考生多科目分数交叉比对（成绩复核-成绩校验），需所有科目全部改完后管理员账号才能查看。"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=4
WHERE id=180;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_submit_title', form_name='mark_submit_title', title='成绩提交核查', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=5
WHERE id=181;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_submit_cb', form_name='mark_submit_cb', title='成绩提交核查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、核对导出成绩表数据条数是否与考生表数量一致，不能带有“未导出全量数据”字样"},{"value":"2","label":"2、导出验收报告（考试管理-详情-验收报告），和学校签字确认盖章，上报验收报告至质控平台"},{"value":"3","label":"3、核对导出图片工具是否正常运行"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=6
WHERE id=182;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='export_score_count', form_name='export_score_count', title='导出成绩数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=7
WHERE id=183;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='upload_check_report_photos', form_name='upload_check_report_photos', title='上传验收报告(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=8
WHERE id=184;
INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(195, 'NUMBER', 'FORM', 'scan_count', 'scan_count', '扫描张数', 'INT', 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, 3, NULL, NULL, 'CLOUD_MARK_SOP_FLOW', 9, 0, NULL, NULL, 1, 8);
INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(196, 'TEXT', 'FORM', 'scan_count_label', 'scan_count_label', '[{"label":"操作说明：
1、待补充
2、待补充
3、待补充","color":"black"}]', 'STRING', 0, 1, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, 6, NULL, NULL, 'CLOUD_MARK_SOP_FLOW', 9, 0, NULL, NULL, 1, 9);

INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(200, 'ONLY_TITLE', 'FORM', 'device_sign_label', 'device_sign_label', '设备签收登记', 'STRING', 0, 1, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, 12, NULL, NULL, 'CLOUD_MARK_SOP_FLOW', 10, 0, NULL, NULL, 1, 1);
INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(201, 'DEVICE_IN_TABLE', 'FORM', 'device_sign_table', 'device_sign_table', '设备签收表格', 'STRING', 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, 12, NULL, NULL, 'CLOUD_MARK_SOP_FLOW', 10, 0, NULL, NULL, 1, 1);

INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(202, 'ONLY_TITLE', 'FORM', 'device_place_label', 'device_place_label', '设备去处登记', 'STRING', 0, 1, 0, 1, NULL, NULL, NULL, NULL, NULL, NULL, 6, NULL, NULL, 'CLOUD_MARK_SOP_FLOW', 10, 0, NULL, NULL, 1, 1);
INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(203, 'DEVICE_OUT_TABLE', 'FORM', 'device_place_table', 'device_place_table', '设备去处表格', 'STRING', 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, NULL, 12, NULL, NULL, 'CLOUD_MARK_SOP_FLOW', 10, 0, NULL, NULL, 1, 1);

-- 2024-09-06
ALTER TABLE t_d_form_widget MODIFY COLUMN title varchar(500) NULL COMMENT '标题';

UPDATE t_d_form_widget
SET code='LABEL', `type`='FORM', form_id='scan_count_label', form_name='scan_count_label', title='[{"label":"操作说明","color":"black"},{"label":"1、待补充","color":"black"},{"label":"2、待补充","color":"black"},{"label":"3、待补充","color":"black"}]', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=9
WHERE id=196;

DELETE FROM t_d_form_widget
WHERE id=192;

UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='run_env_accord', form_name='run_env_accord', title='运行环境是否与学校沟通', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='https://sop-file.qmth.com.cn/logo/logo.png', tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"YES","label":"是"},{"value":"NO","label":"否"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=2
WHERE id=118;

DELETE FROM t_d_form_widget
WHERE id=200;
DELETE FROM t_d_form_widget
WHERE id=201;
DELETE FROM t_d_form_widget
WHERE id=202;
DELETE FROM t_d_form_widget
WHERE id=203;

ALTER TABLE t_b_user_archives ADD project_experience MEDIUMTEXT NULL COMMENT '项目经验';
ALTER TABLE t_b_user_archives CHANGE project_experience project_experience MEDIUMTEXT NULL COMMENT '项目经验' AFTER enable;

UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='region_manager_id', form_name='region_manager_id', title='大区经理', input_type='LONG', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=REGION_MANAGER', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=13
WHERE id=191;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='region_coordinator_id', form_name='region_coordinator_id', title='区域协调人', input_type='LONG', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=REGION_COORDINATOR', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=14
WHERE id=104;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='project_manager_id', form_name='project_manager_id', title='项目经理', input_type='LONG', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=PROJECT_MANAGER', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=15
WHERE id=106;
UPDATE t_d_form_widget
SET code='MULTIPLE_SELECT', `type`='FORM', form_id='engineer_users_id', form_name='engineer_users_id', title='工程师', input_type='ARRAY', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=ENGINEER', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=16
WHERE id=105;

INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(197, 'SINGLE_SELECT', 'FORM', 'region_manager_id', 'region_manager_id', '大区经理', 'LONG', 0, 1, 0, 1, NULL, NULL, NULL, '/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=REGION_MANAGER', NULL, NULL, 4, NULL, NULL, 'OFFICE_SOP_FLOW', 1, 0, NULL, NULL, 1, 11);
INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(198, 'SINGLE_SELECT', 'FORM', 'region_coordinator_id', 'region_coordinator_id', '区域协调人', 'LONG', 0, 1, 0, 1, NULL, NULL, NULL, '/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=REGION_COORDINATOR', NULL, NULL, 4, NULL, NULL, 'OFFICE_SOP_FLOW', 1, 0, NULL, NULL, 1, 12);
INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(199, 'SINGLE_SELECT', 'FORM', 'project_manager_id', 'project_manager_id', '项目经理', 'LONG', 0, 1, 0, 1, NULL, NULL, NULL, '/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=PROJECT_MANAGER', NULL, NULL, 4, NULL, NULL, 'OFFICE_SOP_FLOW', 1, 0, NULL, NULL, 1, 13);
UPDATE t_d_form_widget
SET code='MULTIPLE_SELECT', `type`='FORM', form_id='engineer_users_id', form_name='engineer_users_id', title='工程师', input_type='ARRAY', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=ENGINEER', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=14
WHERE id=28;
UPDATE t_d_form_widget
SET code='SIGN', `type`='FORM', form_id='sign_region', form_name='sign_region', title='添加签名', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=15
WHERE id=29;

UPDATE sys_privilege
SET name='教务处SOP管理', url='office', `type`='MENU', parent_id=40, `sequence`=1, property=NULL, related='3034,3035,3091,3092,3093,2062,4018,4019,4020,4021,4022,4023,4024,4025', enable=1, default_auth=0, front_display=1
WHERE id=41;
UPDATE sys_privilege
SET name='研究生SOP管理', url='cloudMark', `type`='MENU', parent_id=40, `sequence`=2, property=NULL, related='3034,3035,3091,3092,3093,2062,4018,4019,4020,4021,4022,4023,4024,4025', enable=1, default_auth=0, front_display=1
WHERE id=42;

-- 2024-09-11
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='scan_set', form_name='scan_set', title='扫描仪设置（上传扫描仪参数界面截图）', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=3
WHERE id=34;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='scan_test', form_name='scan_test', title='试扫检查（知学知考上传试扫界面截图；云阅卷扫描上传首袋客观题识别情况检查截图）', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=2, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=4
WHERE id=36;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='scan_end', form_name='scan_end', title='上传检查（知学知考上传扫描端首页；云阅卷扫描上传未上传查询结果）', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=3, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=38;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='not_upload_confirm', form_name='not_upload_confirm', title='未上传确认（上传未上传检查完成情况的截图，以及与老师沟通确认的截图）', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=3, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=2
WHERE id=40;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='identify', form_name='identify', title='识别对照（上传识别对照完成情况的截图）', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=3, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=3
WHERE id=42;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='absent', form_name='absent', title='缺考识别检查（知学知考上传扫描端首页；云阅卷上传数据检查中缺考识别检查结果）', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=3, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=4
WHERE id=44;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='manual_confirm', form_name='manual_confirm', title='人工确认检查（知学知考上传扫描端首页；云阅卷上传后台人工确认检查结果）', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=3, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=5
WHERE id=46;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='mark_paper', form_name='mark_paper', title='阅卷参数检查（上传系统中客观题参数界面截图；若由我们进行录入，需要打开原始文件截图上传）', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=48;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='mark_paper_progress', form_name='mark_paper_progress', title='阅卷进度检查（上传系统中阅卷进度检查截图）', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=50;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='objective_check', form_name='objective_check', title='实考客观题0分检查（知学知考上传成绩检查界面按条件筛选检查后的截图；云阅卷上传后台数据检查界面按条件筛选检查后的截图）', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=2
WHERE id=52;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='subjective_check', form_name='subjective_check', title='实考主观题0分，客观题有分（知学知考上传成绩检查界面按条件筛选检查后的截图；云阅卷上传后台数据检查界面按条件筛选检查后的截图）', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='OFFICE_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=3
WHERE id=54;

-- 2024-09-04
DROP TABLE IF EXISTS `sys_custom_receiver`;
CREATE TABLE sys_custom_receiver  (
                                      `id` bigint(0) NOT NULL COMMENT '主键',
                                      `type` varchar(20) NOT NULL COMMENT '类型，OFFICE：教务处，CLOUD_MARK：研究生',
                                      `name` varchar(100)  NOT NULL COMMENT '客户名称',
                                      `unit` varchar(100) NULL DEFAULT NULL COMMENT '具体单位',
                                      `consignee` varchar(50) NULL DEFAULT NULL COMMENT '收件人',
                                      `consignee_phone` varchar(20) NULL DEFAULT NULL COMMENT '收件人电话',
                                      `consignee_address` varchar(500) NULL DEFAULT NULL COMMENT '收件人地址',
                                      `create_id` bigint(0) NULL DEFAULT NULL COMMENT '创建人id',
                                      `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
                                      `update_id` bigint(0) NULL DEFAULT NULL COMMENT '更新人id',
                                      `update_time` bigint(0) NULL DEFAULT NULL COMMENT '更新时间',
                                      PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COMMENT = '客户收件人信息表';

-- 收件信息
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (400, '收件信息', 'receiver', 'MENU', 2, 6, NULL, NULL, 1, 0, 1);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (401, '新增', 'Add', 'BUTTON', 400, 1, 'AUTH', '407', 1, 0, 1);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (402, '查询', 'Select', 'BUTTON', 400, 2, 'AUTH', '411,412', 1, 0, 1);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (403, '导出', 'Export', 'BUTTON', 400, 3, 'AUTH', '410', 1, 0, 1);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (404, '列表', 'List', 'LIST', 400, 4, 'AUTH', '411,412', 1, 0, 1);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (405, '修改', 'Update', 'LINK', 400, 1, 'AUTH', '408', 1, 0, 1);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (406, '删除', 'Delete', 'LINK', 400, 2, 'AUTH', '409', 1, 0, 1);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (407, '收件信息新增', '/api/sys/custom/receiver/save', 'URL', 400, 1, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (408, '收件信息修改', '/api/sys/custom/receiver/save', 'URL', 400, 2, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (409, '收件信息删除', '/api/sys/custom/receiver/delete', 'URL', 400, 3, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (410, '收件信息导出', '/api/sys/custom/receiver/export', 'URL', 400, 4, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (411, '收件信息列表', '/api/sys/custom/receiver/page', 'URL', 400, 5, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (412, '客户列表', '/api/sys/custom/receiver/list', 'URL', 400, 6, 'AUTH', NULL, 1, 1, 0);

-- 2024-09-05
-- 项目监控
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (420, '项目监控', 'ProjectMonitor', 'MENU', 40, 3, NULL, NULL, 1, 0, 1);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (421, '查询条件', 'Condition', 'CONDITION', 420, 1, 'AUTH', '425', 1, 0, 1);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (422, '查询', 'Select', 'BUTTON', 420, 2, 'AUTH', '425', 1, 0, 1);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (423, '列表', 'List', 'LIST', 420, 3, 'AUTH', '425', 1, 0, 1);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (424, '工作证', 'Card', 'LINK', 420, 4, 'AUTH', '426', 1, 0, 1);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (425, '项目监控列表', '/api/admin/project/monitor/page', 'URL', 420, 1, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (426, '工作证详情', '/api/admin/project/monitor/user/detail', 'URL', 420, 2, 'AUTH', NULL, 1, 1, 0);
update sys_privilege set sequence=4 where id=43;
update sys_privilege set sequence=5 where id=44;


-- 2024-09-09
-- 匹配导出
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (430, '导出', 'Export', 'BUTTON', 51, 5, 'AUTH', '435', 1, 0, 1);
INSERT INTO sys_privilege(`id`, `name`, `url`, `type`, `parent_id`, `sequence`, `property`, `related`, `enable`, `default_auth`, `front_display`) VALUES (435, '匹配导出', '/api/admin/tb/crm/receiver/export', 'URL', 51, 9, 'AUTH', NULL, 1, 1, 0);

ALTER TABLE t_b_ding
    CHANGE COLUMN sop_no sop_no VARCHAR(100) NULL COMMENT 'sop单号' ,
    CHANGE COLUMN ding_sop_no ding_sop_no VARCHAR(100) NULL COMMENT '实际打卡对应的sop单号' ;

INSERT INTO sys_config (id, config_key, config_name, config_value, enable, sort, create_id) VALUES ('41', 'region.coordinator.ding.time', '区域协调人打卡时间段', '{\"startTime\": 1725292800000,\"endTime\": 1725897600000}', '1', '1', '1');

ALTER TABLE t_b_ding_apply
    ADD COLUMN service_id BIGINT NULL COMMENT '服务单元id' AFTER id;
ALTER TABLE t_b_ding_apply
    CHANGE COLUMN sop_no sop_no VARCHAR(100) NULL COMMENT 'sop编号' ,
    CHANGE COLUMN crm_no crm_no VARCHAR(100) NULL COMMENT '派单编号' ;

UPDATE t_b_ding_apply tbda
SET
    tbda.service_id = (SELECT
                           tbc.service_id
                       FROM
                           t_b_crm tbc
                       WHERE
                               tbda.crm_no = tbc.crm_no)
WHERE
    service_id IS NULL;

ALTER TABLE t_b_crm_detail
    ADD COLUMN scan_actual_start_time BIGINT NULL COMMENT '扫描开始实际时间\n研究生:现场环境检测提交\n教务处:扫描准备提交' AFTER publish_time,
    ADD COLUMN scan_actual_end_time BIGINT NULL COMMENT '扫描结束实际时间\n研究生:收尾校验提交\n教务处:扫描收尾检查提交' AFTER scan_actual_start_time,
    ADD COLUMN mark_paper_actual_start_time BIGINT NULL COMMENT '阅卷开始实际时间\n研究生:评卷准备提交\n教务处:阅卷参数提交' AFTER scan_actual_end_time,
    ADD COLUMN mark_paper_actual_end_time BIGINT NULL COMMENT '阅卷结束实际时间\n研究生:设备入库提交\n教务处:评卷收尾检查提交' AFTER mark_paper_actual_start_time;

ALTER TABLE t_b_ding_submit
    CHANGE COLUMN sop_no sop_no VARCHAR(100) NULL COMMENT 'sop单号' ;

ALTER TABLE t_b_ding_statistic
    CHANGE COLUMN sop_no sop_no VARCHAR(100) NULL COMMENT 'sop单号' ,
    CHANGE COLUMN crm_no crm_no VARCHAR(100) NULL COMMENT 'crm单号' ;

-- 2024-09-06
ALTER TABLE t_b_ding_statistic
    ADD COLUMN custom_id BIGINT NULL COMMENT '客户id' AFTER crm_no;

UPDATE t_b_ding_statistic tbds
SET
    tbds.custom_id = (SELECT
                          tbc.custom_id
                      FROM
                          t_b_crm tbc
                      WHERE
                              tbds.crm_no = tbc.crm_no)
WHERE
    custom_id IS NULL;

ALTER TABLE t_b_ding_statistic
    ADD COLUMN service_name VARCHAR(100) NULL COMMENT '服务单元名称' AFTER service_id;

UPDATE t_b_ding_statistic tbds
SET
    tbds.service_name = (SELECT
                             tbs.name
                         FROM
                             t_b_service tbs
                         WHERE
                                 tbds.service_id = tbs.id)
WHERE
    service_name IS NULL;

-- 2024-09-09
DROP TABLE IF EXISTS `t_b_ding_statistic_by_person`;
CREATE TABLE t_b_ding_statistic_by_person (
                                              id BIGINT NOT NULL,
                                              service_id BIGINT NOT NULL COMMENT '服务单元id',
                                              service_name VARCHAR(100) NULL COMMENT '服务单元名称',
                                              user_info VARCHAR(100) NULL COMMENT '姓名(人员档案号)',
                                              supplier_name VARCHAR(100) NULL COMMENT '供应商',
                                              actual_days INT NULL COMMENT '实际出勤（天）',
                                              weekdays INT NULL COMMENT '工作日（天）',
                                              weekends INT NULL COMMENT '周末（天）',
                                              legal_holidays INT NULL COMMENT '法定节假日（天）',
                                              work_hours DECIMAL(8,2) NULL COMMENT '累计工时（小时）',
                                              violation_days INT NULL COMMENT '违规工时（天）',
                                              create_id BIGINT NULL COMMENT '创建人id',
                                              create_time BIGINT NULL COMMENT '创建时间',
                                              update_id BIGINT NULL COMMENT '更新人id',
                                              update_time BIGINT NULL COMMENT '更新时间',
                                              PRIMARY KEY (id))
    ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT = '工时统计-按人员统计';

DROP TABLE IF EXISTS `t_b_ding_statistic_by_sop`;
CREATE TABLE t_b_ding_statistic_by_sop (
                                           id BIGINT NOT NULL,
                                           service_id BIGINT NOT NULL COMMENT '服务单元id',
                                           service_name VARCHAR(100) NULL COMMENT '服务单元名称',
                                           sop_no VARCHAR(100) NULL COMMENT 'sop流水号',
                                           course_name VARCHAR(100) NULL COMMENT '科目名称',
                                           actual_days INT NULL COMMENT '实际出勤（天）',
                                           weekdays INT NULL COMMENT '工作日（天）',
                                           weekends INT NULL COMMENT '周末（天）',
                                           legal_holidays INT NULL COMMENT '法定节假日（天）',
                                           scan_period INT NULL COMMENT '扫描周期（天）',
                                           mark_paper_period INT NULL COMMENT '阅卷周期（天）',
                                           work_hours DECIMAL(8,2) NULL COMMENT '累计工时（小时）',
                                           violation_days INT NULL COMMENT '违规工时（天）',
                                           create_id BIGINT NULL COMMENT '创建人id',
                                           create_time BIGINT NULL COMMENT '创建时间',
                                           update_id BIGINT NULL COMMENT '更新人id',
                                           update_time BIGINT NULL COMMENT '更新时间',
                                           PRIMARY KEY (id))
    ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT = '工时统计-按sop统计';

DROP TABLE IF EXISTS `t_b_ding_statistic_by_crm`;
CREATE TABLE t_b_ding_statistic_by_crm (
                                           id BIGINT NOT NULL,
                                           service_id BIGINT NOT NULL COMMENT '服务单元id',
                                           service_name VARCHAR(100) NULL COMMENT '服务单元名称',
                                           crm_no VARCHAR(100) NULL COMMENT '派单号',
                                           crm_name VARCHAR(100) NULL COMMENT '派单名称',
                                           actual_days INT NULL COMMENT '实际出勤（天）',
                                           weekdays INT NULL COMMENT '工作日（天）',
                                           weekends INT NULL COMMENT '周末（天）',
                                           legal_holidays INT NULL COMMENT '法定节假日（天）',
                                           scan_period INT NULL COMMENT '扫描周期（天）',
                                           mark_paper_period INT NULL COMMENT '阅卷周期（天）',
                                           work_hours DECIMAL(8,2) NULL COMMENT '累计工时（小时）',
                                           violation_days INT NULL COMMENT '违规工时（天）',
                                           create_id BIGINT NULL COMMENT '创建人id',
                                           create_time BIGINT NULL COMMENT '创建时间',
                                           update_id BIGINT NULL COMMENT '更新人id',
                                           update_time BIGINT NULL COMMENT '更新时间',
                                           PRIMARY KEY (id))
    ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT = '工时统计-按派单统计';

DROP TABLE IF EXISTS `t_b_ding_statistic_by_custom`;
CREATE TABLE t_b_ding_statistic_by_custom (
                                              id BIGINT NOT NULL,
                                              service_id BIGINT NOT NULL COMMENT '服务单元id',
                                              service_name VARCHAR(100) NULL COMMENT '服务单元名称',
                                              custom_id BIGINT NULL COMMENT '客户id',
                                              custom_name VARCHAR(100) NULL COMMENT '客户名称',
                                              actual_days INT NULL COMMENT '实际出勤（天）',
                                              weekdays INT NULL COMMENT '工作日（天）',
                                              weekends INT NULL COMMENT '周末（天）',
                                              legal_holidays INT NULL COMMENT '法定节假日（天）',
                                              scan_period INT NULL COMMENT '扫描周期（天）',
                                              mark_paper_period INT NULL COMMENT '阅卷周期（天）',
                                              work_hours DECIMAL(8,2) NULL COMMENT '累计工时（小时）',
                                              violation_days INT NULL COMMENT '违规工时（天）',
                                              create_id BIGINT NULL COMMENT '创建人id',
                                              create_time BIGINT NULL COMMENT '创建时间',
                                              update_id BIGINT NULL COMMENT '更新人id',
                                              update_time BIGINT NULL COMMENT '更新时间',
                                              PRIMARY KEY (id))
    ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT = '工时统计-按客户统计';

DROP TABLE IF EXISTS `t_b_ding_statistic_by_supplier`;
CREATE TABLE t_b_ding_statistic_by_supplier (
                                                id BIGINT NOT NULL,
                                                service_id BIGINT NOT NULL COMMENT '服务单元id',
                                                service_name VARCHAR(100) NULL COMMENT '服务单元名称',
                                                supplier_id BIGINT NULL COMMENT '供应商id',
                                                supplier_name VARCHAR(100) NULL COMMENT '供应商名称',
                                                actual_days INT NULL COMMENT '实际出勤（天）',
                                                weekdays INT NULL COMMENT '工作日（天）',
                                                weekends INT NULL COMMENT '周末（天）',
                                                legal_holidays INT NULL COMMENT '法定节假日（天）',
                                                work_hours DECIMAL(8,2) NULL COMMENT '累计工时（小时）',
                                                violation_days INT NULL COMMENT '违规工时（天）',
                                                create_id BIGINT NULL COMMENT '创建人id',
                                                create_time BIGINT NULL COMMENT '创建时间',
                                                update_id BIGINT NULL COMMENT '更新人id',
                                                update_time BIGINT NULL COMMENT '更新时间',
                                                PRIMARY KEY (id))
    ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT = '工时统计-按供应商统计';

INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2100', '工时统计-分页查询', '/api/admin/tb/ding/statistic/page', 'URL', '29', '1', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2101', '工时统计-批量导出', '/api/admin/tb/ding/statistic/export', 'URL', '29', '2', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES ('2102', '搜索', 'Select', 'BUTTON', '29', '1', 'AUTH', '2100', '1', '0', '1');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES ('2103', '导出统计结果', 'Export', 'BUTTON', '29', '2', 'AUTH', '2101', '1', '0', '1');

-- 2024-09-10
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES ('2104', '补卡申请-区协查询审核人', '/api/admin/ding/exception/apply/find_region_coordinator_auditor', 'URL', '26', '2', 'SYS', NULL, '1', '1', '0');

INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(190, 'DATE', 'FORM', 'service_finish_plan_begin_date', 'service_finish_plan_begin_date', '现场服务进场计划时间', 'LONG', 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, 'yyyy-MM-dd', 6, NULL, NULL, 'CLOUD_MARK_SOP_FLOW', 1, 1, NULL, NULL, 1, 12);
INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(200, 'DATE', 'FORM', 'service_finish_plan_date', 'service_finish_plan_date', '现场服务撤场计划时间', 'LONG', 1, 0, 1, 1, NULL, NULL, NULL, NULL, NULL, 'yyyy-MM-dd', 6, NULL, NULL, 'CLOUD_MARK_SOP_FLOW', 1, 1, NULL, NULL, 1, 13);
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_people_plan_title', form_name='project_people_plan_title', title='项目人员安排及风险预估', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=14
WHERE id=103;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='region_manager_id', form_name='region_manager_id', title='大区经理', input_type='LONG', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=REGION_MANAGER', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=15
WHERE id=191;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='region_coordinator_id', form_name='region_coordinator_id', title='区域协调人', input_type='LONG', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=REGION_COORDINATOR', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=16
WHERE id=104;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='project_manager_id', form_name='project_manager_id', title='项目经理', input_type='LONG', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=PROJECT_MANAGER', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=17
WHERE id=106;
UPDATE t_d_form_widget
SET code='MULTIPLE_SELECT', `type`='FORM', form_id='engineer_users_id', form_name='engineer_users_id', title='工程师', input_type='ARRAY', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=ENGINEER', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=18
WHERE id=105;
UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='project_rish_title', form_name='project_rish_title', title='项目风险预估（仅供参考）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=19
WHERE id=107;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='delay_rish_cb', form_name='delay_rish_cb', title='延期风险', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=20
WHERE id=108;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='engineer_rish_cb', form_name='engineer_rish_cb', title='实施难度', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=21
WHERE id=109;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='other_remark', form_name='other_remark', title='其它备注（建议关注的其它方面）', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=22
WHERE id=110;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_contacts_title', form_name='project_contacts_title', title='项目联系人', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=23
WHERE id=111;
UPDATE t_d_form_widget
SET code='TABLE', `type`='FORM', form_id='project_contacts_table', form_name='project_contacts_table', title='项目联系人表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=24
WHERE id=112;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_college', form_name='school_college', title='项目联系人表格_机构输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=25
WHERE id=113;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_name', form_name='school_name', title='项目联系人表格_姓名输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=26
WHERE id=114;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_job', form_name='school_job', title='项目联系人表格_职务输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=27
WHERE id=115;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_tel', form_name='school_tel', title='项目联系人表格_电话输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=28
WHERE id=116;

-- 2024-09-20
UPDATE sys_privilege
SET name='人员配置', url='Allocation', `type`='LINK', parent_id=41, `sequence`=1, property='AUTH', related='3088,2061', enable=1, default_auth=0, front_display=1
WHERE id=3089;
UPDATE sys_privilege
SET name='人员配置', url='Allocation', `type`='LINK', parent_id=42, `sequence`=1, property='AUTH', related='3088,2061', enable=1, default_auth=0, front_display=1
WHERE id=3090;

-- 2024-09-25
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, enable, default_auth, front_display) VALUES ('2105', '工时统计-统计计算', '/api/admin/tb/ding/statistic/calculate', 'URL', '29', '3', 'AUTH', '1', '1', '0');
INSERT INTO sys_privilege (id, name, url, type, parent_id, sequence, property, related, enable, default_auth, front_display) VALUES ('2106', '统计计算', 'calculate', 'BUTTON', '29', '6', 'AUTH', '2105', '1', '0', '1');
