package com.qmth.sop.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.sop.business.bean.result.SopWarnMonitorDetailResult;
import com.qmth.sop.business.entity.TBDelayWarn;
import com.qmth.sop.common.enums.SopRoleTypeEnum;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SopWarnMonitorMapper extends BaseMapper<TBDelayWarn> {

    List<SopWarnMonitorDetailResult> listDelayWarn(@Param(value = "serviceUnitId") Long serviceUnitId,
            @Param(value = "warnFieldList") List<String> warnFieldList);

    List<SopWarnMonitorDetailResult> listDelayWarnByUserRole(@Param(value = "serviceUnitId") Long serviceUnitId,
            @Param(value = "warnFieldList") List<String> warnFieldList, @Param(value = "sopRoleType") SopRoleTypeEnum sopRoleType);
}
