package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.result.ProjectMonitorCardResult;
import com.qmth.sop.business.bean.result.ProjectMonitorResult;
import com.qmth.sop.business.entity.TBSopInfo;
import com.qmth.sop.common.enums.CrmProcessEnum;

/**
 * @Description  项目监控
 * @Author haoguanghui
 * @date 2024/09/04
 */
public interface ProjectMonitorService extends IService<TBSopInfo> {

    IPage<ProjectMonitorResult> pageProjectMonitor(Page<ProjectMonitorResult> page, Long serviceUnitId, Long customerId, CrmProcessEnum process);

    ProjectMonitorCardResult getUserCard(Long userId);
}
