package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.bean.params.CustomReceiverParam;
import com.qmth.sop.business.bean.result.SysCustomReceiverResult;
import com.qmth.sop.business.entity.SysCustomReceiver;
import com.qmth.sop.business.entity.SysUser;
import com.qmth.sop.common.enums.ProductTypeEnum;

import java.util.List;

public interface SysCustomReceiverService extends IService<SysCustomReceiver> {

    List<SysCustomReceiver> listCustom(ProductTypeEnum type);

    IPage<SysCustomReceiverResult> pageReceiver(Page<SysCustomReceiverResult> page, ProductTypeEnum type, String name);

    Long saveCustomReceiver(CustomReceiverParam param, SysUser requestUser);

    void export(ProductTypeEnum type, String name);
}
